Bug 17616 - Select tag on elasticsearch mappings page is not closed properly
Summary: Select tag on elasticsearch mappings page is not closed properly
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Keywords:
Depends on: 14899
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-11 16:46 UTC by Josef Moravec
Modified: 2018-06-04 20:09 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17616: Select tag on elasticsearch mappings page is not closed properly (1.46 KB, patch)
2016-11-11 16:52 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17616: (follow-up)Select tag on elasticsearch mappings page is not closed properly (2.74 KB, patch)
2016-11-14 21:19 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17616: Select tag on elasticsearch mappings page is not closed properly (1.57 KB, patch)
2016-11-21 13:42 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17616: (follow-up)Select tag on elasticsearch mappings page is not closed properly (2.84 KB, patch)
2016-11-21 13:42 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17616: Select tag on elasticsearch mappings page is not closed properly (1.58 KB, patch)
2016-11-22 08:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17616: (follow-up)Select tag on elasticsearch mappings page is not closed properly (2.85 KB, patch)
2016-11-22 08:48 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Josef Moravec 2016-11-11 16:52:58 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-11-14 21:19:11 UTC Comment hidden (obsolete)
Comment 3 Josef Moravec 2016-11-15 06:46:19 UTC
Good catch Héctor.
Comment 4 Owen Leonard 2016-11-21 13:42:14 UTC
Created attachment 57682 [details] [review]
[SIGNED-OFF] Bug 17616: Select tag on elasticsearch mappings page is not closed properly

Test plan
1) Have SearchEngine syspref set to Elastic
2) Look at source on admin/searchengine/elasticsearch/mappings.pl
-> without patch you'll see select with attribute
   data-id="mapping_search_field_name" closing tag written badly as
   "/select>"
-> with patch everything looks OK

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Owen Leonard 2016-11-21 13:42:23 UTC
Created attachment 57683 [details] [review]
[SIGNED-OFF] Bug 17616: (follow-up)Select tag on elasticsearch mappings page is not closed properly

Also some close tag </selected> should be </select>
Follow previous patch to test

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Jonathan Druart 2016-11-22 08:48:22 UTC
Created attachment 57690 [details] [review]
Bug 17616: Select tag on elasticsearch mappings page is not closed properly

Test plan
1) Have SearchEngine syspref set to Elastic
2) Look at source on admin/searchengine/elasticsearch/mappings.pl
-> without patch you'll see select with attribute
   data-id="mapping_search_field_name" closing tag written badly as
   "/select>"
-> with patch everything looks OK

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 7 Jonathan Druart 2016-11-22 08:48:26 UTC
Created attachment 57691 [details] [review]
Bug 17616: (follow-up)Select tag on elasticsearch mappings page is not closed properly

Also some close tag </selected> should be </select>
Follow previous patch to test

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 8 Kyle M Hall 2016-11-22 11:43:17 UTC
Pushed to master for 16.11, thanks Josef, Lari!
Comment 9 Mason James 2016-12-14 11:40:49 UTC
Some conflicts, skipping for 16.05.x